
echo off

rem *************************************************************
rem * CMPD - Common Management of Problem Data                  *
rem *   for Windows NT.                                         *
rem *   Gathers documentation for Communications Server.        *
rem *                                                           *
rem *  Change Activity                                          *
rem *  ---------------                                          *
rem *  29241 - Capture additional files                         *
rem *  19549 - Dynamic file name support                        *
rem *  19552 - Pkzip usage insted of saveram                    *
rem *  51483 - trace facility directory has changed.            *
rem *  78088 - Additional Display, Directory information        *
rem *  86036 - Include CSNT related registry info in the bundler*
rem *                                                           *
rem *************************************************************



rem *************************************************************
rem *                                                           *
rem * Set up boot drive and directories                         *
rem *                                                           *
rem *************************************************************
rem * Set boot drive.
set BTDRIVE=%SystemDrive%
set WINNTDIR=%SystemRoot%

rem Set up temporary directory
set CMPDDIR=%BTDRIVE%\CSNTTEMP

rem * Make a temporary directory and change to the directory
md %CMPDDIR%
erase %CMPDDIR%\*.*  /Q


rem *************************************************************
rem *                                                           *
rem * Copy Communications Server   files for Windows NT         *
rem *  the NTCSDIR environment var was set up by NTCSPD.EXE     *
rem *                                                           *
rem *************************************************************
copy "%NTCSDIR%"\*.mlg %CMPDDIR%
rem *
rem * defect 51483
rem *
if exist "%NTCSDIR%"\*.trc copy "%NTCSDIR%"\*.trc %CMPDDIR%
if exist "%TRACEDIR%"\*.trc copy "%TRACEDIR%"\*.trc %CMPDDIR%
copy "%NTCSDIR%"\*.lic %CMPDDIR%
rem * defect 78088 copy "%NTCSDIR%"\registry.dat %CMPDDIR%
rem * 
rem * defect 86036
rem * 
if exist "%NTCSDIR%"\csntreg.dat copy "%NTCSDIR%"\csntreg.dat %CMPDDIR%
copy "%NTCSDIR%"\PRIVATE\*.pcg %CMPDDIR%
copy "%NTCSDIR%"\PRIVATE\*.acg %CMPDDIR%
copy "%NTCSDIR%"\PRIVATE\*.tlg %CMPDDIR%
copy %WINNTDIR%\system32\config\*.Evt %CMPDDIR%
rem *
rem * Feature 29241
rem *
if exist %WINNTDIR%\system32\drivers\etc\hosts copy %WINNTDIR%\system32\drivers\etc\hosts %CMPDDIR%
if exist %WINNTDIR%\system32\drivers\etc\services copy %WINNTDIR%\system32\drivers\etc\services %CMPDDIR%
if exist %WINNTDIR%\system32\drivers\etc\networks copy %WINNTDIR%\system32\drivers\etc\networks %CMPDDIR%
if exist %WINNTDIR%\drwtsn32.log copy %WINNTDIR%\drwtsn32.log %CMPDDIR%
rem *
rem * Defect 78088 added "/s" option
dir "%NTCSDIR%" /s >%CMPDDIR%\ibmcsdir.txt
rem *
rem * End of 29241
rem *
rem * Defect 78088
dir "%WINNTDIR%" /s >%CMPDDIR%\winntdir.txt
rem * Get CS/NT Display
echo "------ Node Information" >%CMPDDIR%\csdisplay.txt
csdisplay NOD /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Local LU 6.2" >>%CMPDDIR%\csdisplay.txt
csdisplay L62 /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Connection Networks" >>%CMPDDIR%\csdisplay.txt
csdisplay CNT /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Local LU 0 to 3" >>%CMPDDIR%\csdisplay.txt
csdisplay LU0 /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Partner LU 6.2" >>%CMPDDIR%\csdisplay.txt
csdisplay PLU /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Modes" >>%CMPDDIR%\csdisplay.txt
csdisplay MOD /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Connections" >>%CMPDDIR%\csdisplay.txt
csdisplay CON /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Host connections" >>%CMPDDIR%\csdisplay.txt
csdisplay HCN /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Peer connections" >>%CMPDDIR%\csdisplay.txt
csdisplay PCN /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Downstream connections" >>%CMPDDIR%\csdisplay.txt
csdisplay DCN /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Devices" >>%CMPDDIR%\csdisplay.txt
csdisplay DEV /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Intermediate Sessions" >>%CMPDDIR%\csdisplay.txt
csdisplay INT /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ LU 6.2 Sessions" >>%CMPDDIR%\csdisplay.txt
csdisplay L6S /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Data Link Control" >>%CMPDDIR%\csdisplay.txt
csdisplay DLC /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Transaction Programs" >>%CMPDDIR%\csdisplay.txt
csdisplay TRP /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Directory Services" >>%CMPDDIR%\csdisplay.txt
csdisplay DIR /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ DLUR PUs " >>%CMPDDIR%\csdisplay.txt
csdisplay DPU /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ PU 2.0/DLUR gateways" >>%CMPDDIR%\csdisplay.txt
csdisplay PDG /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ RTP Connections" >>%CMPDDIR%\csdisplay.txt
csdisplay RTP /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Focal Points" >>%CMPDDIR%\csdisplay.txt
csdisplay FPT /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN3270E Summary" >>%CMPDDIR%\csdisplay.txt
csdisplay 3SY /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN3270E Sessions" >>%CMPDDIR%\csdisplay.txt
csdisplay 3SS /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN3270E Ports" >>%CMPDDIR%\csdisplay.txt
csdisplay 3PT /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN3270E Filters" >>%CMPDDIR%\csdisplay.txt
csdisplay 3FS /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN5250 Summary" >>%CMPDDIR%\csdisplay.txt
csdisplay 5SY /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN5250 Sessions" >>%CMPDDIR%\csdisplay.txt
csdisplay 5SS /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN5250 Filters" >>%CMPDDIR%\csdisplay.txt
csdisplay 5FS /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ TN5250 Ports" >>%CMPDDIR%\csdisplay.txt
csdisplay 5PT /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ AnyNet IP to LU mapping" >>%CMPDDIR%\csdisplay.txt
csdisplay AIL /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ AnyNet Sockets IP Connections" >>%CMPDDIR%\csdisplay.txt
csdisplay ASC /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ AnyNet Sockets Devices" >>%CMPDDIR%\csdisplay.txt
csdisplay ASD /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ AnyNet Sockets Routes" >>%CMPDDIR%\csdisplay.txt
csdisplay ASR /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ AnyNet Sockets Statisticss" >>%CMPDDIR%\csdisplay.txt
csdisplay AST /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ CPI-C Side Information" >>%CMPDDIR%\csdisplay.txt
csdisplay CPS /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Topology" >>%CMPDDIR%\csdisplay.txt
csdisplay TOP /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Network Node Statistics" >>%CMPDDIR%\csdisplay.txt
csdisplay NNS /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Hot Standby backup servers" >>%CMPDDIR%\csdisplay.txt
csdisplay BSV /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Hot Standby Critical servers" >>%CMPDDIR%\csdisplay.txt
csdisplay CRS /D3 >>%CMPDDIR%\csdisplay.txt
echo "------ Critical servers connections" >>%CMPDDIR%\csdisplay.txt
csdisplay CRL /D3 >>%CMPDDIR%\csdisplay.txt
set >%CMPDDIR%\set.txt
cslic >%CMPDDIR%\cslic.txt
csquery >%CMPDDIR%\csquery.txt
rem *
rem * end of 78088
rem *
rem *************************************************************
rem *                                                           *
rem * Create the self extracting file with pkzip25              *
rem *                                         19552  19549      *
rem *************************************************************
pkzip25.exe -sfx -add %NTCSDIR%\%1  %CMPDDIR%\*.*
echo.
echo.
echo File %1.exe self extracting file has been created and placed
echo into your IBM Communications Server for NT install directory.
echo.
pause
rem *************************************************************
rem *                                                           *
rem * Clean up processing                                       *
rem *                                                           *
rem *************************************************************
erase %CMPDDIR%\*.* /q
rd %CMPDDIR%

:cmpdexit
rem * Exit program























